R6 GH IronPython version compatability

In my rendering software trial frenzy I appeared to have screwed up IronPython. GH complains about version and prompts for loading and then baulks.

I d/l v2.7.9 but I am not clear from threads on the topic if this is compatible with R6 or not. What version is compatable and how do I install it to the Rhino folder?